/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatIconModule } from '@angular/material/icon';
import { BCI_SHARED_INTL_PROVIDER } from '../../shared-intl';

import { CommandbarSidebarSlideComponent } from './commandbar-sidebar-slide.component';

describe('CommandbarSidebarSlideComponent', () => {
  let component: CommandbarSidebarSlideComponent;
  let fixture: ComponentFixture<CommandbarSidebarSlideComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [MatIconModule],
        declarations: [CommandbarSidebarSlideComponent],
        providers: [BCI_SHARED_INTL_PROVIDER],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(CommandbarSidebarSlideComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
